Get a page of partner schedules

​

Query Parameters

  • The page index of the search.

  • The number of products to be returned in the response. Returns pages of up to 500 records.

  • The search text to filter schedules by. This can be all or part of a reference number or description

  • The id of the partner to filter schedules for.

  • The utc date and time to filter schedules created on and after.

  • The utc date and time to filter schedules created up to.

  • The status of the schedule.

  • Whether or not the schedule has been exported for the current api connection

Responses

  • application/json
Request Example for get/v1/schedules
curl 'https://api.consignlyhq.com/v1/schedules?PageIndex=1&PageSize=25&SearchText=milk%20powder&CreatedFromUtc=2020-01-01T12%3A00%3A00Z&CreatedToUtc=2021-01-01T12%3A00%3A00Z&Status=Draft%20%3D%201'
{
  "index": 1,
  "total": 1,
  "schedules": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "partnerId": "123e4567-e89b-12d3-a456-426614174000",
      "partnerName": null,
      "partnerCode": null,
      "date": "date (YYYY-MM-DD)",
      "referenceNumber": null,
      "amountExclTax": 1,
      "status": "enum (Draft = 1, Approved = 2)",
      "isExported": true
    }
  ]
}